%define _binaries_in_noarch_packages_terminate_build 0

Name:                   insights-client
Summary:                Uploads Insights information to Red Hat on a periodic basis
Version:                3.0.14
Release:                4%{?dist}
Source0:                https://github.com/redhatinsights/insights-client/archive/insights-client-%{version}.tar.gz
# RHCLOUD-6204: fix error in cron that correctly disables results check
Patch0:                 RHCLOUD-6204-fix-shellcheck-warnings-aa5d586.patch
Patch1:                 RHCLOUD-6204-default-enable-check-results-off-bf177d2.patch
Epoch:                  0
License:                GPLv2+
URL:                    http://cloud.redhat.com/insights
Group:                  Applications/System
Vendor:                 Red Hat, Inc.

Provides: redhat-access-insights = %{version}-%{release}%{?dist}

Obsoletes: redhat-access-insights <= 1.0.13-3
Obsoletes: redhat-access-proactive <= 1.0.13-3

BuildArch: noarch

Requires: tar
Requires: gpg
Requires: pciutils
Requires: python
Requires: python-requests >= 2.6
Requires: PyYAML
Requires: libcgroup
Requires: python-magic
Requires: python-six >= 1.9.0
Requires: python-argparse
Requires: python-setuptools
Requires: coreutils
BuildRequires: python2-devel
BuildRequires: wget
BuildRequires: binutils


%description
Sends insightful information to Red Hat for automated analysis


%prep
%autosetup -p1


%build
%{configure}
%{__make}


%install
%{make_install}
%{__install} -d -m 755 %{buildroot}/%{_localstatedir}/log/insights-client
%{__install} -d -m 755 %{buildroot}/%{_localstatedir}/lib/insights


%postun
# Clean up files created by insights-client that are unowned by the RPM
if [ $1 -eq 0 ]; then
    rm -f %{_sysconfdir}/cron.daily/insights-client
    rm -f %{_sysconfdir}/ansible/facts.d/insights.fact
    rm -f %{_sysconfdir}/ansible/facts.d/insights_machine_id.fact
    rm -f %{_localstatedir}/lib/insights/*
fi


%clean
rm -rf %{buildroot}


%files
%config(noreplace) %{_sysconfdir}/insights-client/*.conf
%config(noreplace) %{_sysconfdir}/sysconfig/insights-client
%{_sysconfdir}/insights-client/.fallback.json*
%{_sysconfdir}/insights-client/.exp.sed
%{_sysconfdir}/insights-client/insights-client.cron
%{_sysconfdir}/insights-client/rpm.egg*
%{_bindir}/*
%attr(440,root,root) %{_sysconfdir}/insights-client/*.pem
%attr(440,root,root) %{_sysconfdir}/insights-client/redhattools.pub.gpg
%{python_sitelib}/insights_client/
%{_localstatedir}/log/insights-client
%{_localstatedir}/lib/insights
%{_defaultdocdir}/%{name}


%doc
%defattr(-, root, root)
%{_mandir}/man8/*.8.gz
%{_mandir}/man5/*.5.gz


%changelog
* Tue May 5 2020 Link Dupont <link@redhat.com> - 3.0.14-4
- Disable results checking by default (RHCLOUD-6204)

* Fri May 1 2020 Link Dupont <link@redhat.com> - 3.0.14-3
- Fixed an issue that correctly disable results checking in cron script (RHCLOUD-6204)

* Wed Apr 29 2020 Link Dupont <link@redhat.com> - 3.0.14-1
- Removed printing to stdout in cron script (RHBZ#1828778)
- Add deprecation message when running legacy redhat-access-insights (RHCLOUD-5409)
- Update systemd timer to use timers.target (RHBZ#1798373)
- Fix an issue updating motd.d on relevant systems (RHCLOUD-6144)
- Update shipped core to version 3.0.161 (RHCLOUD-4457)
- Enable automatic checking for advisor results (RHCLOUD-4558)
- Ensure dependency on coreutils for timeout (RHCLOUD-5131)
- Build system converted to autotools (RHCLOUD-4333)

* Mon Feb 3 2020 Link Dupont <link@redhat.com> - 3.0.13-1
- Removed unncessary insights-client-run entrypoint
- Enable a random start delay in cron job (RHBZ#1679986)

* Tue Sep 17 2019 Jeremy Crafts <jcrafts@redhat.com> - 3.0.9-0
- Fix .exp.sed file bug
- Remove PyOpenSSL dependency
- Update core egg to 3.0.121

* Fri Aug 2 2019 Jeremy Crafts <jcrafts@redhat.com> - 3.0.6-4
- Optimize specfile for RHEL 6, 7, 8 compatibility
- Update service URL
- Remove ACLs and insights user from installation
- Uses the latest egg between the RPM-bundled egg and downloaded egg
- Resolves: BZ1623166, BZ1735371, BZ1735838, BZ1735882, BZ1735924, BZ1735925, BZ1735926

* Wed Oct 18 2017 Richard Brantley <rbrantle@redhat.com> - 3.0.2-2
- Resolves BZ1498650, BZ1500008, BZ1501545, BZ1501552, BZ1501556, BZ1501561, BZ1501565, BZ1501566
- Fixes version migration logic
- Fixes symlink issues to old binary
- Fixes short ID analysis for images and containers
- Fixes Docker library detection
- Fixes image and container detection
- Fixes registration execution flow
- Fixes --version flag to print to stdout and include additional versioning information
- Includes Insights Core 3.0.3-1

* Wed Oct 4 2017 Richard Brantley <rbrantle@redhat.com> - 3.0.1-5
- Resolves BZ1498581
- Fixes sys.path issues
- Includes Insights Core 3.0.2-6

* Wed Sep 27 2017 Richard Brantley <rbrantle@redhat.com> - 3.0.0-4
- Initial build
